# XMLWriter::writeDtd

# xmlwriter_write_dtd

(PHP 5 >= 5.1.2, PHP 7, PECL xmlwriter >= 0.1.0)

XMLWriter::writeDtd -- xmlwriter_write_dtd — Write full DTD tag

### Description

Object oriented style

XMLWriter::writeDtd ( string `$name` [, string `$publicId` [, string `$systemId` [, string `$subset` ]]] ) : bool

Procedural style

xmlwriter_write_dtd ( resource `$xmlwriter` , string `$name` [, string `$publicId` [, string `$systemId` [, string `$subset` ]]] ) : bool

Writes a full DTD.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The DTD name.

`publicId`

  The external subset public identifier.

`systemId`

  The external subset system identifier.

`subset`

  The content of the DTD.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startDtd() - Create start DTD tag
- XMLWriter::endDtd() - End current DTD